
package com.roseindia.wicket;
import org.apache.wicket.markup.html.WebPage;
import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.form.Form;
import org.apache.wicket.markup.html.form.TextField;
import org.apache.wicket.model.PropertyModel;

public class Echo extends WebPage
{

   
    
	private String message   = "type your message here";
        private String firstname = "first name";
        private String lastname  = "last name";

	
	public Echo()
	{
		PropertyModel messageModel = new PropertyModel(this, "message");
                PropertyModel firstNameModel = new PropertyModel(this, "firstname");
                PropertyModel lastNameModel = new PropertyModel(this, "lastname");
                add(new Label("msg", messageModel));
                add(new Label("fname", firstNameModel));
		add(new Label("lname", lastNameModel));
		Form form = new Form("form");
                form.add(new TextField("firstInput", firstNameModel));
                form.add(new TextField("lastInput", lastNameModel));
		form.add(new TextField("msgInput", messageModel));
		add(form);
	}
	public String getMessage()
	{
		return message;
	}	
	public void setMessage(String message)
	{
		this.message = message;
	}
        public String getFirstname() {
        return firstname;
        }

        public String getLastname() {
        return lastname;
        }
         public void setFirstname(String firstname) {
        this.firstname = firstname;
        }

        public void setLastname(String lastname) {
        this.lastname = lastname;
        }
}